Bug 178102

Summary: Replace copyKeysToVector/copyValuesToVector with copyToVector(map.keys())/copyToVector(map.values())
Product: WebKit Reporter: Sam Weinig <sam>
Component: New BugsAssignee: Sam Weinig <sam>
Status: RESOLVED FIXED    
Severity: Normal CC: cdumez, commit-queue, darin, thorton, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 181771    
Bug Blocks: 181863    
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
none
Patch none

Description Sam Weinig 2017-10-09 17:09:23 PDT
Replace copyKeysToVector/copyValuesToVector with copyToVector(map.keys())/copyToVector(map.values())
Comment 1 Sam Weinig 2017-10-09 17:15:24 PDT Comment hidden (obsolete)
Comment 2 Sam Weinig 2017-10-09 17:22:37 PDT Comment hidden (obsolete)
Comment 3 Sam Weinig 2017-10-09 20:01:57 PDT Comment hidden (obsolete)
Comment 4 Sam Weinig 2017-10-09 20:25:17 PDT Comment hidden (obsolete)
Comment 5 Sam Weinig 2017-10-10 08:20:34 PDT
Created attachment 323309 [details]
Patch
Comment 6 WebKit Commit Bot 2017-10-10 15:13:11 PDT
Comment on attachment 323309 [details]
Patch

Clearing flags on attachment: 323309

Committed r223149: <http://trac.webkit.org/changeset/223149>
Comment 7 WebKit Commit Bot 2017-10-10 15:13:12 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2017-10-10 15:14:01 PDT
<rdar://problem/34920783>
Comment 9 Chris Dumez 2018-01-17 16:32:16 PST
Comment on attachment 323309 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=323309&action=review

> Source/WebKit/UIProcess/WebProcessProxy.cpp:625
> +    auto pages = copyToVector(m_pageMap.values());

This used to ref the pages and now it no longer does (rdar://problem/36566237).